Updates prompt content without changing sharing.

PUThttps://api.awork.com/api/v1/agents/prompts/{promptId}
PUT https://api.awork.com/api/v1/agents/prompts/{promptId}

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

promptIdstringRequired
format: uuid

The prompt ID.

Request body Required

The request.

application/json

namestringRequired
minLength: 1 maxLength: 255

The display name.

descriptionstring or nullOptional
maxLength: 2000

The optional description.

textstringRequired
minLength: 1 maxLength: 32000

The prompt HTML with optional context mentions.

Responses

200 OK

application/json

idstringOptional
format: uuid

The prompt ID.

namestring or nullOptional

The display name.

descriptionstring or nullOptional

The optional description.

textstring or nullOptional

The prompt markup with entity reference nodes.

userIdstringOptional
format: uuid

The owning user.

createdBystringOptional
format: uuid

The user who created the prompt.

createdOnstringOptional
format: date-time

The creation time.

updatedOnstring or nullOptional
format: date-time

The last update time.

accessLevelstring or nullOptional

The effective read or manage access.

isOwnerbooleanOptional

Whether the caller owns the prompt.

hasAdminAccessOnlybooleanOptional

Whether only workspace administration grants access.

workspaceAccessLevelstring or nullOptional

The workspace access level.

400 Bad Request

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

401 Unauthorized

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

404 Not Found

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation